<?xml version="1.0" encoding="UTF-8"?>
<workflow definedname="auctionWorkFlow" description="拍卖会备案">
    <nodes>
        <node id="auctionEnter" name="受理" description="拍卖会备案受理" start="true"/>
        <node id="handleAuction" name="审查" description="拍卖会备案审查"/>
        <node id="approveAuctionSuper" name="核准" description="报上级机关核准"/>
        <node id="approveAuctionSame" name="核准" description="报本级机关核准"/>
        <node id="printAuctionReject" name="驳回打印中" description="驳回并发送打印"/>
        <node id="printAuctionApprove" name="核准打印中" description="核准并发送打印"/>
        <node id="auctionIssue" name="可领证" description="拍卖会备案发照"/>
        <node id="auctionCollate" name="校对中" description="拍卖会备案校对"/>
        <node id="auctionEnd" name="结束" description="结束流程" end="true" handle="false"/>
    </nodes>

    <!--受理环节-->
    <sequenceFlow id="auctionEnter_handleAuction" name="受理" description="拍卖会备案受理_拍卖会备案审查"/>
    <sequenceFlow id="auctionEnter_auctionEnd" name="不受理" description="拍卖会备案受理_结束流程"/>

    <!--审查环节-->
    <sequenceFlow id="handleAuction_printAuctionReject" name="驳回并发送打印" description="拍卖会备案审查_驳回并发送打印"/>
    <sequenceFlow id="handleAuction_approveAuctionSuper" name="报上级机关核准" description="拍卖会备案审查_报上级机关核准"/>
    <sequenceFlow id="handleAuction_approveAuctionSame" name="报本级机关核准" description="拍卖会备案审查_报本级机关核准"/>
    <sequenceFlow id="handleAuction_auctionEnter" name="回退" description="拍卖会备案审查_拍卖会备案受理"/>
    <sequenceFlow id="handleAuction_printAuctionApprove" name="核准并发送打印" description="拍卖会备案审查_核准并发送打印"/>

    <!--核准环节-->
    <sequenceFlow id="approveAuctionSuper_printAuctionReject" name="驳回" description="拍卖会备案核准_驳回并发送打印"/>
    <sequenceFlow id="approveAuctionSuper_printAuctionApprove" name="核准通过" description="拍卖会备案核准_核准并发送打印"/>
    <sequenceFlow id="approveAuctionSuper_approveAuctionSuper" name="报上级机关核准" description="拍卖会备案核准_报上级机关核准"/>
    <sequenceFlow id="approveAuctionSuper_approveAuctionSame" name="报本级机关核准" description="拍卖会备案核准_报本级机关核准"/>
    <sequenceFlow id="approveAuctionSuper_handleAuction" name="回退" description="拍卖会备案核准_拍卖会备案审查"/>

    <sequenceFlow id="approveAuctionSame_printAuctionReject" name="驳回" description="拍卖会备案核准_驳回并发送打印"/>
    <sequenceFlow id="approveAuctionSame_printAuctionApprove" name="核准通过" description="拍卖会备案核准_核准并发送打印"/>
    <sequenceFlow id="approveAuctionSame_approveAuctionSuper" name="报上级机关核准" description="拍卖会备案核准_报上级机关核准"/>
    <sequenceFlow id="approveAuctionSame_approveAuctionSame" name="报本级机关核准" description="拍卖会备案核准_报本级机关核准"/>
    <sequenceFlow id="approveAuctionSame_handleAuction" name="回退" description="拍卖会备案核准_拍卖会备案审查"/>

    <!--打印环节 begin-->
    <!--驳回打印-->
    <sequenceFlow id="printAuctionReject_auctionEnd" name="结束流程" description="驳回并发送打印_结束流程"/>
    <!--核准打印-->
    <sequenceFlow id="printAuctionApprove_auctionCollate" name="校对修改" description="核准并发送打印_拍卖会备案发照"/>
    <sequenceFlow id="printAuctionApprove_auctionIssue" name="提交发照" description="核准并发送打印_拍卖会备案发照"/>
    <!--打印环节 end-->

    <!--校对修改-->
    <sequenceFlow id="auctionCollate_printAuctionApprove" name="校对确认" description="拍卖会备案校对_核准并发送打印"/>

    <!--发照环节-->
    <sequenceFlow id="auctionIssue_auctionCollate" name="校对修改" description="拍卖会备案发照_拍卖会备案校对"/>
    <sequenceFlow id="auctionIssue_auctionEnd" name="发照确认" needNodes="printAuctionApprove" description="拍卖会备案发照_结束流程"/>

</workflow>